unregister_framebuffer
Prev | Frame Buffer Memory | Next

## Name

unregister_framebuffer — releases a frame buffer device

## Synopsis

`int unregister_framebuffer (` | struct fb_info * | fb_info`)`;

## Arguments

`fb_info`

  frame buffer info structure

## Description

Unregisters a frame buffer device `fb_info`.

Returns negative errno on error, or zero for success.

This function will also notify the framebuffer console to release the driver.

This is meant to be called within a driver's `module_exit` function. If this is called outside `module_exit`, ensure that the driver implements `fb_open` and `fb_release` to check that no processes are using the device.

Prev | Up | Next
register_framebuffer | Home | fb_set_suspend